/*
 * Created on 04 mai. 2004 by the Message Center Team
 *
 */
package mc.formgenerator.bonita;

import java.util.HashMap;

/**
 * @author sempereb
 *
 */
public class DataActivity extends DataProcess {

	/**
	 * The name of the activity to which it belongs
	 */
	private String activityName;
	
	
	
	
	
	/**
	 * Default class constructor
	 */
	public DataActivity(){
	}
	
	
	
	

	/**
	 * Class constructor with the attributes setting.
	 * @param theProjectName the process name of the new instance.
	 * @param theActivityName the activity name of the new instance.
	 * @param table the activity properties of the new instance.
	 */
	public DataActivity(String theProjectName, String theActivityName, HashMap table) {
		
		//Parent constructor
		super(theProjectName, table);
		
		//set the project name
		this.setActivityName(theActivityName);
	}
		
		
		
		
	/**
	 * Initializes the activityName attribute
	 * @param theActivityName the name of the activity to which it belongs
	 */
	public void setActivityName(String theActivityName) {
		
		this.activityName = theActivityName;
	}




	/**
	 * Gets the activityName attribute
	 * @return the content of the activityName attribute
	 */
	public String getActivityName() {
		
		return this.activityName;
	}	
}
